Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

upgrade jruby-openssl (due regression) #3053

Closed
kares opened this Issue Jun 15, 2015 · 4 comments

Comments

Projects
None yet
3 participants
@kares
Copy link
Member

kares commented Jun 15, 2015

for 1.7.21 or 9K.rc2 (which ever happens first)
for 1.7.22 or 9K.1.0 (which ever happens first)

... 0.9.8 includes some improvements and bug fixes (at least one regression in 0.9.7)

@kares kares added this to the JRuby 1.7.21 milestone Jun 15, 2015

@enebo enebo modified the milestones: JRuby 1.7.21, JRuby 1.7.22 Jul 7, 2015

@kares

This comment has been minimized.

Copy link
Member Author

kares commented Jul 24, 2015

remaining failure on master with 0.9.8.dev : https://travis-ci.org/jruby/jruby/builds/72430835

@mkristian

This comment has been minimized.

Copy link
Member

mkristian commented Jul 24, 2015

https://travis-ci.org/jruby/jruby/jobs/72430858#L3412 is the problem that the prerelease is not used as default gem. though on other such integrity tests the same thing should go red (or you fixed it there ;)

just release the gem and all will be green again.

the tomcat error is a timing issue when tomcat shutsdown and probably some classloaders get closed before tomcat is finished (or so).

@kares kares self-assigned this Jul 27, 2015

@kares kares changed the title need a jruby-openssl 0.9.8 release upgrade jruby-openssl to 0.9.8 (as default gem) Jul 31, 2015

@kares

This comment has been minimized.

Copy link
Member Author

kares commented Jul 31, 2015

this is now done and doing fine on master but jruby-1_7 seems to be having some sort of issues even with the released jruby-openssl 0.9.8 ... few test runs seem to hang just like they did with the pre-release

@kares kares removed their assignment Aug 17, 2015

@kares

This comment has been minimized.

Copy link
Member Author

kares commented Aug 20, 2015

done a new release to handle a regression and upgraded to 0.9.9

@kares kares closed this Aug 20, 2015

@kares kares changed the title upgrade jruby-openssl to 0.9.8 (as default gem) upgrade jruby-openssl (due regression) Aug 20, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.